apiVersion: apps/v1
kind: Deployment
metadata:
  name: slalite-app
  namespace: core
  labels:
    app: slalite
    tier: api    
spec:
  replicas: 1
  selector:
    matchLabels:
      app: slalite
      tier: api
  template:
    metadata:
      labels:
        app: slalite
        tier: api
    spec:
      imagePullSecrets:
        - name: regcred
      containers:
        - name: slalite
          image: atospledger/sla-framework:latest
          #image: 116.203.2.204:443/plgregistry/slalite
          imagePullPolicy: Always
          ports:
            - containerPort: 8090
          env:
            - name: SLA_REPOSITORY 
              value: "mongodb"
            - name: SLA_DATABASE
              value: "slalite"
            - name: SLA_DB_USER  
              value: "root"
            - name: SLA_DB_PASS
              valueFrom:
                secretKeyRef:
                  name: mongodb-pass
                  key: password
            - name: SLA_CONNECTION
              value: "mongodb://$(SLA_DB_USER):$(SLA_DB_PASS)@slalite-db:27017"
            - name: SLA_PROMETHEUSURL 
              value: "http://192.168.70.13:31011/api/v1"   
            # value: "http://kube-prometheus-stack-prometheus.monitoring:9090"  
            - name: SLA_ADAPTER
              value: "monitoring-engine"
            - name: SLA_NOTIFIER
              value: "kafka2"  
            - name: SLA_CONFIGSVC_ENDPOINT
              value: "http://confservice:80/api/"
            - name: SLA_CONFIGSVC_CREDENTIALS
              value: "url:http://confservice:80/api/authenticate,username:api,password:apiH2020"              
            - name: SLA_KAFKA_CLIENT
              value: "kafka2"  
            - name: SLA_KAFKA_ENDPOINT
              value: "localhost:9093"
            - name: SLA_KAFKA_NOTIFIER_TOPIC
              value: "sla_violation"
            - name: SLA_KAFKA_AGREEMENT_TOPIC
              value: "configuration"
            - name: SLA_KAFKA_KEYSTORE_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: atos-kafka-secrets
                  key: atos-kafka-keystore-secret
            - name: SLA_KAFKA_KEY_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: atos-kafka-secrets
                  key: atos-kafka-key-secret
            - name: SLA_KAFKA_TRUSTSTORE_PASSWORD
              valueFrom:
                secretKeyRef:
                  name: atos-kafka-secrets
                  key: atos-kafka-truststore-secret
            - name: SLA_KAFKA_KEYSTORE_LOCATION
              value: /var/kafka_keystore/kafka.client.keystore.p12
              #value: /var/kafka_keystore/kafka.client.keystore.jks
            - name: SLA_KAFKA_TRUSTSTORE_LOCATION
              value: /var/kafka_truststore/kafka.client.truststore.pem
              #value: /var/kafka_truststore/kafka.client.truststore.jks
          volumeMounts:
            - mountPath: "/var/kafka_truststore"
              name: atos-kafka-truststore
              readOnly: true
            - mountPath: "/var/kafka_keystore"
              name: atos-kafka-keystore
              readOnly: true
      volumes:
        - name: atos-kafka-truststore
          secret:
            secretName: atos-kafka-truststore
        - name: atos-kafka-keystore
          secret:
            secretName: atos-kafka-keystore                                       
---
apiVersion: v1
kind: Service
metadata:
   name: slalite-app
   namespace: core
   labels:
     app: slalite
     tier: api
spec:
   selector:
     app: slalite
     tier: api
   ports:
   - protocol: TCP
     port: 8090
     targetPort: 8090
     nodePort: 32000
     name: api
   type: NodePort
